<project>

	<!-- Clean up and exit after validation, graph, java tasks-->
	<target name="product" depends="validation,graph,java" description="">
		<eclipse.refreshLocal resource="epsilon-CI_JavaStateMachine" depth="infinite" />
	</target>	

    <!-- Model tasks (Epsilon functions) -->
	<target name="validation">
		<antcall target="workflow">
			<param name="function" value="validation_program" />
		</antcall>
	</target>

	<target name="graph">
		<antcall target="workflow">
			<param name="function" value="graph_program" />
		</antcall>
	</target>

	<target name="java">
				<antcall target="workflow">
			<param name="function" value="java_program" />
		</antcall>
	</target>	
	
	<!-- Epsilon workflow for an epsilon job -->
	<target name="workflow">
		<!-- Load the model.flexmi EMF model -->
		<epsilon.emf.loadModel name="M"
		                       modelfile="model.flexmi"
		                       metamodelfile="metamodel.emf" />

		<!-- Call the epsilon function -->
		<antcall target="${function}" inheritrefs="true" />

		<!-- Dispose of the model -->
		<epsilon.disposeModel model="M" />
	</target>

	<!-- Epsilon functions for running epsilon programs -->
	<target name="graph_program">
		<epsilon.egl src="Graph_program.egl" target="Graph_generated.dot">
			<model ref="M" />
		</epsilon.egl>
	</target>
	
	<target name="java_program">
		<epsilon.egl src="Java_program.egl" target="Java_generated.java">
			<model ref="M" />
		</epsilon.egl>
	</target>
	
	<target name="validation_program">
		<epsilon.evl src="Validation_program.evl">
			<model ref="M" />
		</epsilon.evl>
	</target>

</project>
